com.gisgraphy.domain.repository

## Class StatsUsageDao

- java.lang.Object
- - org.springframework.dao.support.DaoSupport
  - - org.springframework.orm.hibernate3.support.HibernateDaoSupport
    - - com.gisgraphy.domain.repository.GenericDao<StatsUsage,Long>
      - - com.gisgraphy.domain.repository.StatsUsageDao

- All Implemented Interfaces:
    IDao<StatsUsage,Long>, IStatsUsageDao, org.springframework.beans.factory.InitializingBean

      @Repository
      public class StatsUsageDao
      extends GenericDao<StatsUsage,Long>
      implements IStatsUsageDao

  Dao for `StatsUsage`
  Author:
    David Masclet

- - ### Field Summary

    - ### Fields inherited from class com.gisgraphy.domain.repository.GenericDao

      `persistentClass`

    - ### Fields inherited from class org.springframework.dao.support.DaoSupport

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatsUsageDao()` Default Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StatsUsage` | `getByUsageType(StatsUsageType statsUsageType)`

    - ### Methods inherited from class com.gisgraphy.domain.repository.GenericDao

      `count, deleteAll, deleteAll, exists, flushAndClear, get, getAll, getAllPaginate, getPersistenceClass, remove, save, setFlushMode`

    - ### Methods inherited from class org.springframework.orm.hibernate3.support.HibernateDaoSupport

      `checkDaoConfig, convertHibernateAccessException, createHibernateTemplate, getHibernateTemplate, getSession, getSession, getSessionFactory, releaseSession, setHibernateTemplate, setSessionFactory`

    - ### Methods inherited from class org.springframework.dao.support.DaoSupport

      `afterPropertiesSet, initDao`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.gisgraphy.domain.repository.IDao

      `count, deleteAll, deleteAll, exists, flushAndClear, get, getAll, getAllPaginate, getPersistenceClass, remove, save, setFlushMode`

- - ### Constructor Detail

    - #### StatsUsageDao

          public StatsUsageDao()

      Default Constructor

  - ### Method Detail

    - #### getByUsageType

          public StatsUsage getByUsageType(StatsUsageType statsUsageType)

      Specified by:
        `getByUsageType` in interface `IStatsUsageDao`
      Parameters:
        `statsUsageType` - The `StatsUsageType`
      Returns:
        the `StatsUsage` for the specified `StatsUsageType`

Copyright © 2015. All rights reserved.